'Counter-example trace generated using HyLAA'

import sys
import numpy as np
from hylaa.check_trace import check, plot

def check_instance():
    'define parameters for one instance and call checking function'

    # dynamics x' = Ax + Bu + c
    a_matrix = np.array([\
        [1.0 if i == 135 else 0.0 for i in xrange(271)], \
        [1.0 if i == 136 else 0.0 for i in xrange(271)], \
        [1.0 if i == 137 else 0.0 for i in xrange(271)], \
        [1.0 if i == 138 else 0.0 for i in xrange(271)], \
        [1.0 if i == 139 else 0.0 for i in xrange(271)], \
        [1.0 if i == 140 else 0.0 for i in xrange(271)], \
        [1.0 if i == 141 else 0.0 for i in xrange(271)], \
        [1.0 if i == 142 else 0.0 for i in xrange(271)], \
        [1.0 if i == 143 else 0.0 for i in xrange(271)], \
        [1.0 if i == 144 else 0.0 for i in xrange(271)], \
        [1.0 if i == 145 else 0.0 for i in xrange(271)], \
        [1.0 if i == 146 else 0.0 for i in xrange(271)], \
        [1.0 if i == 147 else 0.0 for i in xrange(271)], \
        [1.0 if i == 148 else 0.0 for i in xrange(271)], \
        [1.0 if i == 149 else 0.0 for i in xrange(271)], \
        [1.0 if i == 150 else 0.0 for i in xrange(271)], \
        [1.0 if i == 151 else 0.0 for i in xrange(271)], \
        [1.0 if i == 152 else 0.0 for i in xrange(271)], \
        [1.0 if i == 153 else 0.0 for i in xrange(271)], \
        [1.0 if i == 154 else 0.0 for i in xrange(271)], \
        [1.0 if i == 155 else 0.0 for i in xrange(271)], \
        [1.0 if i == 156 else 0.0 for i in xrange(271)], \
        [1.0 if i == 157 else 0.0 for i in xrange(271)], \
        [1.0 if i == 158 else 0.0 for i in xrange(271)], \
        [1.0 if i == 159 else 0.0 for i in xrange(271)], \
        [1.0 if i == 160 else 0.0 for i in xrange(271)], \
        [1.0 if i == 161 else 0.0 for i in xrange(271)], \
        [1.0 if i == 162 else 0.0 for i in xrange(271)], \
        [1.0 if i == 163 else 0.0 for i in xrange(271)], \
        [1.0 if i == 164 else 0.0 for i in xrange(271)], \
        [1.0 if i == 165 else 0.0 for i in xrange(271)], \
        [1.0 if i == 166 else 0.0 for i in xrange(271)], \
        [1.0 if i == 167 else 0.0 for i in xrange(271)], \
        [1.0 if i == 168 else 0.0 for i in xrange(271)], \
        [1.0 if i == 169 else 0.0 for i in xrange(271)], \
        [1.0 if i == 170 else 0.0 for i in xrange(271)], \
        [1.0 if i == 171 else 0.0 for i in xrange(271)], \
        [1.0 if i == 172 else 0.0 for i in xrange(271)], \
        [1.0 if i == 173 else 0.0 for i in xrange(271)], \
        [1.0 if i == 174 else 0.0 for i in xrange(271)], \
        [1.0 if i == 175 else 0.0 for i in xrange(271)], \
        [1.0 if i == 176 else 0.0 for i in xrange(271)], \
        [1.0 if i == 177 else 0.0 for i in xrange(271)], \
        [1.0 if i == 178 else 0.0 for i in xrange(271)], \
        [1.0 if i == 179 else 0.0 for i in xrange(271)], \
        [1.0 if i == 180 else 0.0 for i in xrange(271)], \
        [1.0 if i == 181 else 0.0 for i in xrange(271)], \
        [1.0 if i == 182 else 0.0 for i in xrange(271)], \
        [1.0 if i == 183 else 0.0 for i in xrange(271)], \
        [1.0 if i == 184 else 0.0 for i in xrange(271)], \
        [1.0 if i == 185 else 0.0 for i in xrange(271)], \
        [1.0 if i == 186 else 0.0 for i in xrange(271)], \
        [1.0 if i == 187 else 0.0 for i in xrange(271)], \
        [1.0 if i == 188 else 0.0 for i in xrange(271)], \
        [1.0 if i == 189 else 0.0 for i in xrange(271)], \
        [1.0 if i == 190 else 0.0 for i in xrange(271)], \
        [1.0 if i == 191 else 0.0 for i in xrange(271)], \
        [1.0 if i == 192 else 0.0 for i in xrange(271)], \
        [1.0 if i == 193 else 0.0 for i in xrange(271)], \
        [1.0 if i == 194 else 0.0 for i in xrange(271)], \
        [1.0 if i == 195 else 0.0 for i in xrange(271)], \
        [1.0 if i == 196 else 0.0 for i in xrange(271)], \
        [1.0 if i == 197 else 0.0 for i in xrange(271)], \
        [1.0 if i == 198 else 0.0 for i in xrange(271)], \
        [1.0 if i == 199 else 0.0 for i in xrange(271)], \
        [1.0 if i == 200 else 0.0 for i in xrange(271)], \
        [1.0 if i == 201 else 0.0 for i in xrange(271)], \
        [1.0 if i == 202 else 0.0 for i in xrange(271)], \
        [1.0 if i == 203 else 0.0 for i in xrange(271)], \
        [1.0 if i == 204 else 0.0 for i in xrange(271)], \
        [1.0 if i == 205 else 0.0 for i in xrange(271)], \
        [1.0 if i == 206 else 0.0 for i in xrange(271)], \
        [1.0 if i == 207 else 0.0 for i in xrange(271)], \
        [1.0 if i == 208 else 0.0 for i in xrange(271)], \
        [1.0 if i == 209 else 0.0 for i in xrange(271)], \
        [1.0 if i == 210 else 0.0 for i in xrange(271)], \
        [1.0 if i == 211 else 0.0 for i in xrange(271)], \
        [1.0 if i == 212 else 0.0 for i in xrange(271)], \
        [1.0 if i == 213 else 0.0 for i in xrange(271)], \
        [1.0 if i == 214 else 0.0 for i in xrange(271)], \
        [1.0 if i == 215 else 0.0 for i in xrange(271)], \
        [1.0 if i == 216 else 0.0 for i in xrange(271)], \
        [1.0 if i == 217 else 0.0 for i in xrange(271)], \
        [1.0 if i == 218 else 0.0 for i in xrange(271)], \
        [1.0 if i == 219 else 0.0 for i in xrange(271)], \
        [1.0 if i == 220 else 0.0 for i in xrange(271)], \
        [1.0 if i == 221 else 0.0 for i in xrange(271)], \
        [1.0 if i == 222 else 0.0 for i in xrange(271)], \
        [1.0 if i == 223 else 0.0 for i in xrange(271)], \
        [1.0 if i == 224 else 0.0 for i in xrange(271)], \
        [1.0 if i == 225 else 0.0 for i in xrange(271)], \
        [1.0 if i == 226 else 0.0 for i in xrange(271)], \
        [1.0 if i == 227 else 0.0 for i in xrange(271)], \
        [1.0 if i == 228 else 0.0 for i in xrange(271)], \
        [1.0 if i == 229 else 0.0 for i in xrange(271)], \
        [1.0 if i == 230 else 0.0 for i in xrange(271)], \
        [1.0 if i == 231 else 0.0 for i in xrange(271)], \
        [1.0 if i == 232 else 0.0 for i in xrange(271)], \
        [1.0 if i == 233 else 0.0 for i in xrange(271)], \
        [1.0 if i == 234 else 0.0 for i in xrange(271)], \
        [1.0 if i == 235 else 0.0 for i in xrange(271)], \
        [1.0 if i == 236 else 0.0 for i in xrange(271)], \
        [1.0 if i == 237 else 0.0 for i in xrange(271)], \
        [1.0 if i == 238 else 0.0 for i in xrange(271)], \
        [1.0 if i == 239 else 0.0 for i in xrange(271)], \
        [1.0 if i == 240 else 0.0 for i in xrange(271)], \
        [1.0 if i == 241 else 0.0 for i in xrange(271)], \
        [1.0 if i == 242 else 0.0 for i in xrange(271)], \
        [1.0 if i == 243 else 0.0 for i in xrange(271)], \
        [1.0 if i == 244 else 0.0 for i in xrange(271)], \
        [1.0 if i == 245 else 0.0 for i in xrange(271)], \
        [1.0 if i == 246 else 0.0 for i in xrange(271)], \
        [1.0 if i == 247 else 0.0 for i in xrange(271)], \
        [1.0 if i == 248 else 0.0 for i in xrange(271)], \
        [1.0 if i == 249 else 0.0 for i in xrange(271)], \
        [1.0 if i == 250 else 0.0 for i in xrange(271)], \
        [1.0 if i == 251 else 0.0 for i in xrange(271)], \
        [1.0 if i == 252 else 0.0 for i in xrange(271)], \
        [1.0 if i == 253 else 0.0 for i in xrange(271)], \
        [1.0 if i == 254 else 0.0 for i in xrange(271)], \
        [1.0 if i == 255 else 0.0 for i in xrange(271)], \
        [1.0 if i == 256 else 0.0 for i in xrange(271)], \
        [1.0 if i == 257 else 0.0 for i in xrange(271)], \
        [1.0 if i == 258 else 0.0 for i in xrange(271)], \
        [1.0 if i == 259 else 0.0 for i in xrange(271)], \
        [1.0 if i == 260 else 0.0 for i in xrange(271)], \
        [1.0 if i == 261 else 0.0 for i in xrange(271)], \
        [1.0 if i == 262 else 0.0 for i in xrange(271)], \
        [1.0 if i == 263 else 0.0 for i in xrange(271)], \
        [1.0 if i == 264 else 0.0 for i in xrange(271)], \
        [1.0 if i == 265 else 0.0 for i in xrange(271)], \
        [1.0 if i == 266 else 0.0 for i in xrange(271)], \
        [1.0 if i == 267 else 0.0 for i in xrange(271)], \
        [1.0 if i == 268 else 0.0 for i in xrange(271)], \
        [1.0 if i == 269 else 0.0 for i in xrange(271)], \
        [-0.3887 if i == 0 else -0.0062346 if i == 135 else 0.0 for i in xrange(271)], \
        [-0.60078 if i == 1 else -0.007751 if i == 136 else 0.0 for i in xrange(271)], \
        [-1.9781 if i == 2 else -0.014065 if i == 137 else 0.0 for i in xrange(271)], \
        [-1.9785 if i == 3 else -0.014066 if i == 138 else 0.0 for i in xrange(271)], \
        [-3.1943 if i == 4 else -0.017872 if i == 139 else 0.0 for i in xrange(271)], \
        [-3.9682 if i == 5 else -0.01992 if i == 140 else 0.0 for i in xrange(271)], \
        [-5.2756 if i == 6 else -0.022969 if i == 141 else 0.0 for i in xrange(271)], \
        [-5.3176 if i == 7 else -0.02306 if i == 142 else 0.0 for i in xrange(271)], \
        [-6.1969 if i == 8 else -0.024894 if i == 143 else 0.0 for i in xrange(271)], \
        [-6.2041 if i == 9 else -0.024908 if i == 144 else 0.0 for i in xrange(271)], \
        [-6.6376 if i == 10 else -0.025763 if i == 145 else 0.0 for i in xrange(271)], \
        [-6.643 if i == 11 else -0.025774 if i == 146 else 0.0 for i in xrange(271)], \
        [-14.915 if i == 12 else -0.03862 if i == 147 else 0.0 for i in xrange(271)], \
        [-15.321 if i == 13 else -0.039142 if i == 148 else 0.0 for i in xrange(271)], \
        [-28.924 if i == 14 else -0.053781 if i == 149 else 0.0 for i in xrange(271)], \
        [-28.924 if i == 15 else -0.053781 if i == 150 else 0.0 for i in xrange(271)], \
        [-31.36 if i == 16 else -0.056 if i == 151 else 0.0 for i in xrange(271)], \
        [-31.666 if i == 17 else -0.056273 if i == 152 else 0.0 for i in xrange(271)], \
        [-34.377 if i == 18 else -0.058632 if i == 153 else 0.0 for i in xrange(271)], \
        [-34.377 if i == 19 else -0.058632 if i == 154 else 0.0 for i in xrange(271)], \
        [-37.182 if i == 20 else -0.060977 if i == 155 else 0.0 for i in xrange(271)], \
        [-37.229 if i == 21 else -0.061016 if i == 156 else 0.0 for i in xrange(271)], \
        [-62.94 if i == 22 else -0.079335 if i == 157 else 0.0 for i in xrange(271)], \
        [-65.885 if i == 23 else -0.08117 if i == 158 else 0.0 for i in xrange(271)], \
        [-65.946 if i == 24 else -0.081207 if i == 159 else 0.0 for i in xrange(271)], \
        [-71.925 if i == 25 else -0.084809 if i == 160 else 0.0 for i in xrange(271)], \
        [-84.946 if i == 26 else -0.092166 if i == 161 else 0.0 for i in xrange(271)], \
        [-85.054 if i == 27 else -0.092225 if i == 162 else 0.0 for i in xrange(271)], \
        [-85.262 if i == 28 else -0.092337 if i == 163 else 0.0 for i in xrange(271)], \
        [-91.273 if i == 29 else -0.095537 if i == 164 else 0.0 for i in xrange(271)], \
        [-91.283 if i == 30 else -0.095542 if i == 165 else 0.0 for i in xrange(271)], \
        [-95.44 if i == 31 else -0.097693 if i == 166 else 0.0 for i in xrange(271)], \
        [-95.44 if i == 32 else -0.097693 if i == 167 else 0.0 for i in xrange(271)], \
        [-95.457 if i == 33 else -0.097702 if i == 168 else 0.0 for i in xrange(271)], \
        [-95.457 if i == 34 else -0.097702 if i == 169 else 0.0 for i in xrange(271)], \
        [-95.492 if i == 35 else -0.09772 if i == 170 else 0.0 for i in xrange(271)], \
        [-95.492 if i == 36 else -0.09772 if i == 171 else 0.0 for i in xrange(271)], \
        [-105.24 if i == 37 else -0.10258 if i == 172 else 0.0 for i in xrange(271)], \
        [-105.32 if i == 38 else -0.10262 if i == 173 else 0.0 for i in xrange(271)], \
        [-115.82 if i == 39 else -0.10762 if i == 174 else 0.0 for i in xrange(271)], \
        [-116.34 if i == 40 else -0.10786 if i == 175 else 0.0 for i in xrange(271)], \
        [-178.25 if i == 41 else -0.13351 if i == 176 else 0.0 for i in xrange(271)], \
        [-178.73 if i == 42 else -0.13369 if i == 177 else 0.0 for i in xrange(271)], \
        [-233.48 if i == 43 else -0.1528 if i == 178 else 0.0 for i in xrange(271)], \
        [-305.2 if i == 44 else -0.1747 if i == 179 else 0.0 for i in xrange(271)], \
        [-306.11 if i == 45 else -0.17496 if i == 180 else 0.0 for i in xrange(271)], \
        [-336.0 if i == 46 else -0.1833 if i == 181 else 0.0 for i in xrange(271)], \
        [-338.12 if i == 47 else -0.18388 if i == 182 else 0.0 for i in xrange(271)], \
        [-437.91 if i == 48 else -0.20926 if i == 183 else 0.0 for i in xrange(271)], \
        [-444.23 if i == 49 else -0.21077 if i == 184 else 0.0 for i in xrange(271)], \
        [-467.28 if i == 50 else -0.21617 if i == 185 else 0.0 for i in xrange(271)], \
        [-468.98 if i == 51 else -0.21656 if i == 186 else 0.0 for i in xrange(271)], \
        [-505.12 if i == 52 else -0.22475 if i == 187 else 0.0 for i in xrange(271)], \
        [-505.14 if i == 53 else -0.22475 if i == 188 else 0.0 for i in xrange(271)], \
        [-730.75 if i == 54 else -0.27032 if i == 189 else 0.0 for i in xrange(271)], \
        [-730.76 if i == 55 else -0.27033 if i == 190 else 0.0 for i in xrange(271)], \
        [-749.99 if i == 56 else -0.27386 if i == 191 else 0.0 for i in xrange(271)], \
        [-749.99 if i == 57 else -0.27386 if i == 192 else 0.0 for i in xrange(271)], \
        [-831.1 if i == 58 else -0.28829 if i == 193 else 0.0 for i in xrange(271)], \
        [-831.1 if i == 59 else -0.28829 if i == 194 else 0.0 for i in xrange(271)], \
        [-908.85 if i == 60 else -0.30147 if i == 195 else 0.0 for i in xrange(271)], \
        [-909.06 if i == 61 else -0.30151 if i == 196 else 0.0 for i in xrange(271)], \
        [-934.4 if i == 62 else -0.30568 if i == 197 else 0.0 for i in xrange(271)], \
        [-934.43 if i == 63 else -0.30568 if i == 198 else 0.0 for i in xrange(271)], \
        [-1013.9 if i == 64 else -0.31842 if i == 199 else 0.0 for i in xrange(271)], \
        [-1013.9 if i == 65 else -0.31842 if i == 200 else 0.0 for i in xrange(271)], \
        [-1089.9 if i == 66 else -0.33013 if i == 201 else 0.0 for i in xrange(271)], \
        [-1089.9 if i == 67 else -0.33013 if i == 202 else 0.0 for i in xrange(271)], \
        [-1122.1 if i == 68 else -0.33498 if i == 203 else 0.0 for i in xrange(271)], \
        [-1122.1 if i == 69 else -0.33498 if i == 204 else 0.0 for i in xrange(271)], \
        [-1147.7 if i == 70 else -0.33878 if i == 205 else 0.0 for i in xrange(271)], \
        [-1147.7 if i == 71 else -0.33878 if i == 206 else 0.0 for i in xrange(271)], \
        [-1147.9 if i == 72 else -0.33881 if i == 207 else 0.0 for i in xrange(271)], \
        [-1147.9 if i == 73 else -0.33881 if i == 208 else 0.0 for i in xrange(271)], \
        [-1148.2 if i == 74 else -0.33886 if i == 209 else 0.0 for i in xrange(271)], \
        [-1148.2 if i == 75 else -0.33886 if i == 210 else 0.0 for i in xrange(271)], \
        [-1219.6 if i == 76 else -0.34923 if i == 211 else 0.0 for i in xrange(271)], \
        [-1230.4 if i == 77 else -0.35077 if i == 212 else 0.0 for i in xrange(271)], \
        [-1442.9 if i == 78 else -0.37986 if i == 213 else 0.0 for i in xrange(271)], \
        [-1532.3 if i == 79 else -0.39144 if i == 214 else 0.0 for i in xrange(271)], \
        [-1532.6 if i == 80 else -0.39148 if i == 215 else 0.0 for i in xrange(271)], \
        [-1608.8 if i == 81 else -0.4011 if i == 216 else 0.0 for i in xrange(271)], \
        [-1609.1 if i == 82 else -0.40114 if i == 217 else 0.0 for i in xrange(271)], \
        [-1752.0 if i == 83 else -0.41857 if i == 218 else 0.0 for i in xrange(271)], \
        [-1752.2 if i == 84 else -0.41859 if i == 219 else 0.0 for i in xrange(271)], \
        [-1782.2 if i == 85 else -0.42216 if i == 220 else 0.0 for i in xrange(271)], \
        [-1782.2 if i == 86 else -0.42216 if i == 221 else 0.0 for i in xrange(271)], \
        [-1808.4 if i == 87 else -0.42525 if i == 222 else 0.0 for i in xrange(271)], \
        [-1809.0 if i == 88 else -0.42532 if i == 223 else 0.0 for i in xrange(271)], \
        [-1846.1 if i == 89 else -0.42967 if i == 224 else 0.0 for i in xrange(271)], \
        [-1846.1 if i == 90 else -0.42967 if i == 225 else 0.0 for i in xrange(271)], \
        [-1910.9 if i == 91 else -0.43714 if i == 226 else 0.0 for i in xrange(271)], \
        [-1910.9 if i == 92 else -0.43714 if i == 227 else 0.0 for i in xrange(271)], \
        [-1948.5 if i == 93 else -0.44142 if i == 228 else 0.0 for i in xrange(271)], \
        [-1948.5 if i == 94 else -0.44142 if i == 229 else 0.0 for i in xrange(271)], \
        [-1949.0 if i == 95 else -0.44147 if i == 230 else 0.0 for i in xrange(271)], \
        [-1949.0 if i == 96 else -0.44147 if i == 231 else 0.0 for i in xrange(271)], \
        [-2050.7 if i == 97 else -0.45285 if i == 232 else 0.0 for i in xrange(271)], \
        [-2050.8 if i == 98 else -0.45285 if i == 233 else 0.0 for i in xrange(271)], \
        [-2091.3 if i == 99 else -0.45731 if i == 234 else 0.0 for i in xrange(271)], \
        [-2091.4 if i == 100 else -0.45732 if i == 235 else 0.0 for i in xrange(271)], \
        [-2180.6 if i == 101 else -0.46697 if i == 236 else 0.0 for i in xrange(271)], \
        [-2180.8 if i == 102 else -0.46699 if i == 237 else 0.0 for i in xrange(271)], \
        [-2191.0 if i == 103 else -0.46808 if i == 238 else 0.0 for i in xrange(271)], \
        [-2196.9 if i == 104 else -0.46871 if i == 239 else 0.0 for i in xrange(271)], \
        [-2288.2 if i == 105 else -0.47835 if i == 240 else 0.0 for i in xrange(271)], \
        [-2302.1 if i == 106 else -0.4798 if i == 241 else 0.0 for i in xrange(271)], \
        [-2575.4 if i == 107 else -0.50748 if i == 242 else 0.0 for i in xrange(271)], \
        [-2576.1 if i == 108 else -0.50756 if i == 243 else 0.0 for i in xrange(271)], \
        [-2757.5 if i == 109 else -0.52512 if i == 244 else 0.0 for i in xrange(271)], \
        [-2758.1 if i == 110 else -0.52518 if i == 245 else 0.0 for i in xrange(271)], \
        [-2772.3 if i == 111 else -0.52653 if i == 246 else 0.0 for i in xrange(271)], \
        [-2797.8 if i == 112 else -0.52894 if i == 247 else 0.0 for i in xrange(271)], \
        [-2926.6 if i == 113 else -0.54098 if i == 248 else 0.0 for i in xrange(271)], \
        [-2926.8 if i == 114 else -0.541 if i == 249 else 0.0 for i in xrange(271)], \
        [-3146.5 if i == 115 else -0.56094 if i == 250 else 0.0 for i in xrange(271)], \
        [-3150.8 if i == 116 else -0.56132 if i == 251 else 0.0 for i in xrange(271)], \
        [-3212.8 if i == 117 else -0.56682 if i == 252 else 0.0 for i in xrange(271)], \
        [-3213.4 if i == 118 else -0.56687 if i == 253 else 0.0 for i in xrange(271)], \
        [-3281.1 if i == 119 else -0.57281 if i == 254 else 0.0 for i in xrange(271)], \
        [-3291.2 if i == 120 else -0.57369 if i == 255 else 0.0 for i in xrange(271)], \
        [-3291.4 if i == 121 else -0.5737 if i == 256 else 0.0 for i in xrange(271)], \
        [-3427.6 if i == 122 else -0.58546 if i == 257 else 0.0 for i in xrange(271)], \
        [-3427.6 if i == 123 else -0.58546 if i == 258 else 0.0 for i in xrange(271)], \
        [-3428.8 if i == 124 else -0.58556 if i == 259 else 0.0 for i in xrange(271)], \
        [-3428.8 if i == 125 else -0.58556 if i == 260 else 0.0 for i in xrange(271)], \
        [-3429.3 if i == 126 else -0.5856 if i == 261 else 0.0 for i in xrange(271)], \
        [-3429.3 if i == 127 else -0.5856 if i == 262 else 0.0 for i in xrange(271)], \
        [-3448.2 if i == 128 else -0.58721 if i == 263 else 0.0 for i in xrange(271)], \
        [-3448.2 if i == 129 else -0.58721 if i == 264 else 0.0 for i in xrange(271)], \
        [-3449.0 if i == 130 else -0.58729 if i == 265 else 0.0 for i in xrange(271)], \
        [-3449.0 if i == 131 else -0.58729 if i == 266 else 0.0 for i in xrange(271)], \
        [-3452.3 if i == 132 else -0.58757 if i == 267 else 0.0 for i in xrange(271)], \
        [-3452.3 if i == 133 else -0.58757 if i == 268 else 0.0 for i in xrange(271)], \
        [-3762.6 if i == 134 else -0.6134 if i == 269 else 0.0 for i in xrange(271)], \
        [0.0 for i in xrange(271)], \
        ])

    b_matrix = np.array([
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [0.0, 0.0, 0.0], 
        [7.0757e-07, 0.14128, 6.5392e-06], 
        [-0.50662, -0.00011938, -0.036277], 
        [-1.1789e-10, -7.4209e-10, -1.936e-11], 
        [-8.1482e-06, -0.011052, -1.7213e-06], 
        [-2.8375e-06, -0.018, -3.9165e-06], 
        [-0.43873, -9.6277e-05, -0.030023], 
        [0.036495, 2.396e-05, 0.079403], 
        [6.5641e-06, -0.0016156, 4.6056e-05], 
        [-0.014835, -1.7813e-05, -0.05711], 
        [-0.00015398, 0.0067326, -0.00012595], 
        [0.0107, 8.4365e-06, 0.04406], 
        [-4.7189e-05, 0.0063217, 3.8116e-06], 
        [4.4819e-06, 0.084208, 7.8716e-06], 
        [-0.18348, -2.1428e-05, -0.018073], 
        [-0.00013119, -7.2263e-06, -0.00098969], 
        [1.4322e-05, 0.0011906, 2.9172e-07], 
        [-2.3504e-07, -0.030751, 2.7621e-05], 
        [-0.10195, 1.9166e-05, -0.013061], 
        [8.3625e-05, -1.1436e-06, 0.00056631], 
        [5.876e-06, -0.00036539, 1.1914e-06], 
        [-5.9252e-07, 0.018605, -2.0965e-05], 
        [0.037589, -1.4814e-05, 0.005498], 
        [-0.068525, 0.00341, -0.46585], 
        [-7.5636e-05, -0.072935, -0.00025308], 
        [-0.018658, 0.0001139, -0.029034], 
        [0.001394, 0.86515, -0.00025457], 
        [-0.099922, 0.0018635, 0.48228], 
        [3.1501e-06, -0.0030873, -9.0546e-05], 
        [-0.14678, 0.0022359, 0.60815], 
        [-1.116e-07, 0.0022772, 1.4395e-05], 
        [0.012348, -1.569e-05, -0.014482], 
        [-2.5598e-05, 4.1293e-07, 6.1057e-05], 
        [7.9976e-08, -2.2157e-05, -2.6977e-07], 
        [1.1174e-05, 6.5102e-07, -2.6667e-05], 
        [1.1804e-06, -8.8569e-06, -2.0968e-06], 
        [3.0684e-06, 1.474e-06, -7.2696e-06], 
        [-1.3712e-06, 3.4433e-06, 3.306e-06], 
        [-1.3063e-05, 0.02642, 6.9845e-05], 
        [-0.035277, -7.5167e-05, 0.0065433], 
        [-1.8536e-05, -0.043783, 0.00012439], 
        [-0.081315, -9.9723e-05, 0.031319], 
        [-0.0044785, 9.2377e-05, -0.018757], 
        [-5.1618e-06, -0.0043648, 2.3088e-05], 
        [-0.00042515, -0.064373, -0.00052336], 
        [-9.6891e-06, -0.051906, 5.3608e-05], 
        [0.064984, 0.00021393, -0.0062467], 
        [0.004123, -0.00062444, 0.031733], 
        [-4.5821e-05, 0.010422, -0.00010101], 
        [-0.0018318, 0.35854, -0.01054], 
        [-0.020001, 0.00020889, 0.0066287], 
        [-0.006195, 0.45414, -0.50667], 
        [-0.0010414, -0.41616, -0.56217], 
        [2.6893e-05, 2.9602e-06, -0.003364], 
        [0.00010047, -0.013986, -0.00032624], 
        [-0.0062849, -0.0071942, 0.00010351], 
        [-0.030556, 0.0017199, 0.0012875], 
        [-0.00011525, -0.00011461, 0.00088724], 
        [0.00013764, 0.00079088, 0.00015114], 
        [1.1803e-06, -2.544e-05, -6.453e-05], 
        [0.00043811, -9.8283e-06, -0.0033707], 
        [6.5479e-06, -1.8367e-05, -2.5361e-05], 
        [-0.0050359, 6.5276e-05, 0.0014387], 
        [-0.0045682, 9.6012e-05, 0.025285], 
        [-7.8889e-05, -0.0011608, 0.00058978], 
        [0.00057634, 3.6046e-05, -0.0025508], 
        [0.00017215, -0.0011353, -8.7535e-05], 
        [-5.1705e-05, -0.00027271, 9.0275e-06], 
        [-0.0054866, 2.415e-05, -3.718e-05], 
        [-0.0054376, 3.6797e-05, 0.00015172], 
        [0.00031667, 0.00054782, -1.8049e-05], 
        [-1.2617e-06, 3.0757e-06, 1.1409e-06], 
        [4.1452e-06, -1.0395e-05, -1.0082e-07], 
        [-2.2452e-05, 3.1599e-06, 5.9826e-05], 
        [9.8304e-06, -1.4815e-05, 4.4949e-06], 
        [-2.2195e-05, -2.9022e-07, 6.0459e-05], 
        [-3.3025e-06, 8.92e-06, -5.3807e-08], 
        [0.24221, 0.0015138, 0.014898], 
        [8.8813e-05, 0.023045, -0.00020996], 
        [-1.1952, -0.0063103, -0.081024], 
        [0.0014984, -0.0072565, 0.00020512], 
        [0.023607, 0.00018271, 0.0038478], 
        [0.002905, -0.016819, 0.0003064], 
        [-0.0136, -0.00012966, 0.011915], 
        [0.00015566, -0.018795, 0.0016063], 
        [-0.021483, 0.0010014, 0.015257], 
        [-0.00031682, 0.0005643, 0.000462], 
        [0.00056935, 0.00031009, -0.00033678], 
        [-0.0011199, 0.00058536, 0.014129], 
        [0.0005489, 0.00065079, -0.00031026], 
        [4.9723e-06, -9.8472e-06, 2.6279e-06], 
        [4.9101e-10, -1.1223e-09, 2.229e-10], 
        [4.9189e-05, -0.00022687, -0.00021283], 
        [0.00015051, 5.1321e-05, -0.00012872], 
        [0.00063177, 0.00017696, -0.0010892], 
        [0.0061807, 0.00032646, -0.0085195], 
        [0.0012237, 0.0001993, -0.0021922], 
        [0.0017744, 1.6868e-05, -0.0020571], 
        [-0.0049765, -0.011417, 0.0099946], 
        [0.01233, -0.0035991, -0.022365], 
        [0.01543, 0.0016228, -0.030353], 
        [-0.00049031, 0.0042589, 0.0006439], 
        [0.020253, 0.0043904, -0.046049], 
        [-0.0010619, 0.014846, 0.0013241], 
        [-0.075296, -0.014033, 0.17315], 
        [0.0020218, -0.039024, -0.0018452], 
        [0.10389, 0.51887, -0.31624], 
        [-0.19346, 0.32778, 0.50735], 
        [-3.2977e-05, 8.5029e-05, 8.903e-05], 
        [-0.014882, 0.0012964, 0.026467], 
        [-0.00027498, 0.013625, 0.00020698], 
        [-0.0091551, -0.00032325, 0.014075], 
        [-0.0012731, 0.0034082, 0.00084288], 
        [-0.011332, 0.00054552, 0.07711], 
        [-1.0055e-07, -0.00028818, -3.986e-05], 
        [0.0055521, -0.00025119, -0.006561], 
        [0.092188, 0.00038024, -0.0082241], 
        [0.0026713, -0.053336, -0.000708], 
        [-3.975e-05, 0.0027229, 8.5966e-06], 
        [0.0010552, 0.00010518, 0.011092], 
        [0.0042997, 0.015695, -0.0027019], 
        [4.9178e-05, 0.0067973, -5.6598e-05], 
        [0.0051307, -5.1325e-05, -0.0051118], 
        [-2.6483e-05, 1.2671e-06, 1.4289e-05], 
        [2.794e-06, 8.4549e-06, -1.9638e-06], 
        [8.7619e-06, -1.1027e-07, -4.7226e-06], 
        [6.7506e-07, 2.7178e-06, -2.7931e-07], 
        [-2.0209e-05, 2.7709e-07, 1.0883e-05], 
        [1.7931e-06, 7.377e-06, -8.2538e-07], 
        [-2.3736e-05, 4.9166e-07, 1.2401e-05], 
        [-1.7903e-06, -6.7173e-06, 7.4256e-07], 
        [2.0305e-05, -2.2688e-07, -1.0594e-05], 
        [1.7888e-06, 7.6133e-06, -6.2278e-07], 
        [-2.1437e-07, 7.4511e-08, 1.108e-07], 
        [1.9937e-08, -1.2608e-07, -9.1708e-08], 
        [0.009357, -0.00015898, -0.028368], 
        [0.0, 0.0, 0.0], 
        ])

    c_vector = np.array([1.0 if i == 270 else 0.0 for i in xrange(271)])

    inputs = []
    inputs += [[0.0, 0.8, 1.0]] * 12
    inputs += [[0.0, 1.0, 1.0]] * 29
    inputs += [[0.0, 0.8, 1.0]] * 10
    inputs += [[0.1, 0.8, 1.0]] * 18
    inputs += [[0.1, 1.0, 1.0]] * 5
    inputs += [[0.1, 1.0, 0.9]] * 27
    inputs += [[0.1, 0.8, 0.9]] * 10
    inputs += [[0.0, 0.8, 0.9]] * 10
    inputs += [[0.0, 0.8, 1.0]] * 4
    inputs += [[0.0, 1.0, 1.0]] * 33
    inputs += [[0.0, 0.8, 1.0]] * 27
    inputs += [[0.1, 0.8, 1.0]] * 4
    inputs += [[0.1, 1.0, 1.0]] * 12
    inputs += [[0.1, 1.0, 0.9]] * 12
    inputs += [[0.1, 0.8, 0.9]] * 29
    inputs += [[0.1, 0.8, 1.0]] * 5
    inputs += [[0.1, 1.0, 1.0]] * 7
    inputs += [[0.0, 1.0, 1.0]] * 3
    inputs += [[0.0, 1.0, 0.9]] * 13
    inputs += [[0.0, 0.8, 0.9]] * 10
    inputs += [[0.0, 0.8, 1.0]] * 22
    inputs += [[0.0, 1.0, 1.0]] * 17
    inputs += [[0.0, 1.0, 0.9]] * 7
    inputs += [[0.1, 1.0, 0.9]] * 8
    inputs += [[0.1, 0.8, 0.9]] * 21
    inputs += [[0.1, 0.8, 1.0]] * 3
    inputs += [[0.1, 1.0, 1.0]] * 9
    inputs += [[0.1, 1.0, 0.9]] * 24
    inputs += [[0.1, 0.8, 0.9]] * 5
    inputs += [[0.0, 0.8, 0.9]] * 3
    inputs += [[0.0, 0.8, 1.0]] * 16
    inputs += [[0.0, 1.0, 1.0]] * 25
    inputs += [[0.0, 1.0, 0.9]] * 7
    inputs += [[0.0, 0.8, 0.9]] * 24
    inputs += [[0.1, 0.8, 0.9]] * 9
    inputs += [[0.1, 1.0, 0.9]] * 23
    inputs += [[0.1, 0.8, 0.9]] * 17
    inputs += [[0.1, 0.8, 1.0]] * 12
    inputs += [[0.0, 0.8, 1.0]] * 5
    inputs += [[0.0, 1.0, 1.0]] * 24
    inputs += [[0.0, 0.8, 1.0]] * 31
    inputs += [[0.0, 1.0, 1.0]] * 7
    inputs += [[0.0, 1.0, 0.9]] * 14
    inputs += [[0.1, 1.0, 0.9]] * 13
    inputs += [[0.1, 0.8, 0.9]] * 21
    inputs += [[0.1, 0.8, 1.0]] * 1
    inputs += [[0.1, 1.0, 1.0]] * 19
    inputs += [[0.0, 1.0, 1.0]] * 14
    inputs += [[0.0, 0.8, 1.0]] * 26
    inputs += [[0.0, 1.0, 1.0]] * 20
    inputs += [[0.0, 1.0, 0.9]] * 10
    inputs += [[0.0, 0.8, 0.9]] * 3
    inputs += [[0.1, 0.8, 0.9]] * 31
    inputs += [[0.1, 1.0, 0.9]] * 21
    inputs += [[0.1, 0.8, 0.9]] * 9
    inputs += [[0.0, 0.8, 0.9]] * 5
    inputs += [[0.0, 0.8, 1.0]] * 11
    inputs += [[0.1, 0.8, 1.0]] * 4
    inputs += [[0.0, 0.8, 1.0]] * 5
    inputs += [[0.0, 1.0, 1.0]] * 29
    inputs += [[0.1, 1.0, 1.0]] * 4
    inputs += [[0.1, 0.8, 1.0]] * 23
    inputs += [[0.1, 1.0, 1.0]] * 4
    inputs += [[0.1, 1.0, 0.9]] * 30
    inputs += [[0.1, 0.8, 0.9]] * 16
    inputs += [[0.0, 0.8, 0.9]] * 2
    inputs += [[0.0, 0.8, 1.0]] * 3
    inputs += [[0.0, 1.0, 1.0]] * 34
    inputs += [[0.0, 0.8, 1.0]] * 19
    inputs += [[0.1, 0.8, 1.0]] * 16
    inputs += [[0.1, 1.0, 1.0]] * 9
    inputs += [[0.1, 1.0, 0.9]] * 11
    inputs += [[0.1, 0.8, 0.9]] * 35
    inputs += [[0.1, 1.0, 0.9]] * 4
    inputs += [[0.0, 1.0, 0.9]] * 16
    inputs += [[0.0, 0.8, 0.9]] * 14
    inputs += [[0.0, 0.8, 1.0]] * 21
    inputs += [[0.0, 1.0, 1.0]] * 21
    inputs += [[0.0, 1.0, 0.9]] * 6
    inputs += [[0.1, 1.0, 0.9]] * 7
    inputs += [[0.1, 0.8, 0.9]] * 14
    inputs += [[0.1, 0.8, 1.0]] * 7
    inputs += [[0.1, 1.0, 1.0]] * 7
    inputs += [[0.1, 1.0, 0.9]] * 24
    inputs += [[0.0, 1.0, 0.9]] * 4
    inputs += [[0.0, 0.8, 0.9]] * 11
    inputs += [[0.0, 0.8, 1.0]] * 8
    inputs += [[0.0, 1.0, 1.0]] * 28
    inputs += [[0.0, 1.0, 0.9]] * 7
    inputs += [[0.0, 0.8, 0.9]] * 12
    inputs += [[0.0, 0.8, 1.0]] * 6
    inputs += [[0.1, 0.8, 1.0]] * 18
    inputs += [[0.1, 1.0, 1.0]] * 5
    inputs += [[0.1, 1.0, 0.9]] * 13
    inputs += [[0.1, 0.8, 0.9]] * 22
    inputs += [[0.1, 0.8, 1.0]] * 14
    inputs += [[0.1, 1.0, 1.0]] * 4
    inputs += [[0.0, 1.0, 1.0]] * 15
    inputs += [[0.0, 1.0, 0.9]] * 1
    inputs += [[0.0, 0.8, 0.9]] * 9
    inputs += [[0.0, 1.0, 0.9]] * 7
    inputs += [[0.0, 0.8, 1.0]] * 19
    inputs += [[0.0, 1.0, 1.0]] * 7
    inputs += [[0.1, 1.0, 1.0]] * 3
    inputs += [[0.1, 1.0, 0.9]] * 25
    inputs += [[0.1, 0.8, 0.9]] * 15
    inputs += [[0.1, 0.8, 1.0]] * 4
    inputs += [[0.1, 1.0, 1.0]] * 29
    inputs += [[0.1, 1.0, 0.9]] * 6
    inputs += [[0.0, 1.0, 0.9]] * 1
    inputs += [[0.0, 0.8, 0.9]] * 3
    inputs += [[0.0, 0.8, 1.0]] * 15
    inputs += [[0.0, 1.0, 1.0]] * 11
    inputs += [[0.0, 0.8, 1.0]] * 6
    inputs += [[0.0, 1.0, 1.0]] * 9
    inputs += [[0.0, 1.0, 0.9]] * 7
    inputs += [[0.1, 1.0, 0.9]] * 3
    inputs += [[0.1, 0.8, 0.9]] * 9
    inputs += [[0.0, 0.8, 0.9]] * 10
    inputs += [[0.0, 1.0, 0.9]] * 1
    inputs += [[0.1, 1.0, 0.9]] * 1
    inputs += [[0.1, 0.8, 0.9]] * 15
    inputs += [[0.1, 1.0, 0.9]] * 18
    inputs += [[0.1, 0.8, 0.9]] * 16
    inputs += [[0.1, 0.8, 1.0]] * 9
    inputs += [[0.0, 0.8, 1.0]] * 11
    inputs += [[0.0, 1.0, 1.0]] * 19
    inputs += [[0.0, 0.8, 1.0]] * 9
    inputs += [[0.0, 1.0, 1.0]] * 3
    inputs += [[0.0, 1.0, 0.9]] * 6
    inputs += [[0.0, 0.8, 0.9]] * 2
    inputs += [[0.1, 0.8, 0.9]] * 6
    inputs += [[0.1, 0.8, 1.0]] * 4
    inputs += [[0.0, 0.8, 1.0]] * 6
    inputs += [[0.0, 1.0, 1.0]] * 6
    inputs += [[0.0, 1.0, 0.9]] * 3
    inputs += [[0.1, 1.0, 0.9]] * 9
    inputs += [[0.1, 0.8, 0.9]] * 3
    inputs += [[0.1, 1.0, 0.9]] * 15
    inputs += [[0.1, 0.8, 0.9]] * 14
    inputs += [[0.1, 0.8, 1.0]] * 4
    inputs += [[0.1, 1.0, 1.0]] * 11
    inputs += [[0.0, 1.0, 1.0]] * 4
    inputs += [[0.0, 0.8, 1.0]] * 3
    inputs += [[0.0, 1.0, 1.0]] * 18
    inputs += [[0.0, 0.8, 1.0]] * 18
    inputs += [[0.0, 1.0, 1.0]] * 7
    inputs += [[0.1, 1.0, 1.0]] * 2
    inputs += [[0.1, 0.8, 1.0]] * 9
    inputs += [[0.0, 1.0, 1.0]] * 8
    inputs += [[0.0, 1.0, 0.9]] * 7
    inputs += [[0.1, 1.0, 0.9]] * 3
    inputs += [[0.1, 0.8, 0.9]] * 18
    inputs += [[0.1, 1.0, 0.9]] * 3
    inputs += [[0.1, 0.8, 0.9]] * 13
    inputs += [[0.0, 0.8, 0.9]] * 2
    inputs += [[0.1, 1.0, 1.0]] * 4
    inputs += [[0.1, 1.0, 0.9]] * 12
    inputs += [[0.0, 1.0, 0.9]] * 2
    inputs += [[0.0, 0.8, 0.9]] * 14
    inputs += [[0.0, 1.0, 1.0]] * 5
    inputs += [[0.0, 0.8, 1.0]] * 17
    inputs += [[0.0, 1.0, 1.0]] * 14
    inputs += [[0.1, 1.0, 1.0]] * 4
    inputs += [[0.1, 0.8, 1.0]] * 6
    inputs += [[0.0, 0.8, 1.0]] * 1
    inputs += [[0.0, 0.8, 0.9]] * 1
    inputs += [[0.0, 1.0, 0.9]] * 10
    inputs += [[0.0, 0.8, 0.9]] * 2
    inputs += [[0.1, 0.8, 0.9]] * 11
    inputs += [[0.1, 0.8, 1.0]] * 6
    inputs += [[0.1, 1.0, 1.0]] * 6
    inputs += [[0.1, 1.0, 0.9]] * 10
    inputs += [[0.1, 0.8, 0.9]] * 4
    inputs += [[0.1, 1.0, 0.9]] * 16
    inputs += [[0.1, 0.8, 0.9]] * 5
    inputs += [[0.0, 0.8, 0.9]] * 7
    inputs += [[0.0, 0.8, 1.0]] * 5
    inputs += [[0.0, 1.0, 1.0]] * 9
    inputs += [[0.1, 1.0, 1.0]] * 4
    inputs += [[0.0, 1.0, 1.0]] * 1
    inputs += [[0.0, 0.8, 1.0]] * 5
    inputs += [[0.0, 1.0, 1.0]] * 13
    inputs += [[0.0, 1.0, 0.9]] * 5
    inputs += [[0.0, 0.8, 0.9]] * 2
    inputs += [[0.1, 0.8, 0.9]] * 5
    inputs += [[0.1, 0.8, 1.0]] * 3
    inputs += [[0.0, 0.8, 1.0]] * 7
    inputs += [[0.0, 1.0, 1.0]] * 7
    inputs += [[0.1, 0.8, 1.0]] * 13
    inputs += [[0.1, 1.0, 1.0]] * 6
    inputs += [[0.1, 1.0, 0.9]] * 11
    inputs += [[0.1, 0.8, 0.9]] * 16
    inputs += [[0.1, 1.0, 0.9]] * 4
    inputs += [[0.1, 0.8, 0.9]] * 7
    inputs += [[0.1, 0.8, 1.0]] * 3
    inputs += [[0.0, 0.8, 1.0]] * 6
    inputs += [[0.0, 1.0, 1.0]] * 12
    inputs += [[0.1, 1.0, 0.9]] * 6
    inputs += [[0.1, 0.8, 0.9]] * 1
    inputs += [[0.0, 0.8, 0.9]] * 10
    inputs += [[0.0, 1.0, 0.9]] * 9
    inputs += [[0.0, 0.8, 0.9]] * 1
    inputs += [[0.0, 0.8, 1.0]] * 15
    inputs += [[0.0, 1.0, 1.0]] * 15
    inputs += [[0.0, 1.0, 0.9]] * 1
    inputs += [[0.1, 1.0, 0.9]] * 1
    inputs += [[0.1, 0.8, 0.9]] * 8
    inputs += [[0.1, 1.0, 0.9]] * 12
    inputs += [[0.1, 0.8, 0.9]] * 12
    inputs += [[0.1, 0.8, 1.0]] * 6
    inputs += [[0.1, 1.0, 1.0]] * 14
    inputs += [[0.1, 0.8, 1.0]] * 4
    inputs += [[0.0, 0.8, 1.0]] * 2
    inputs += [[0.0, 1.0, 1.0]] * 2
    inputs += [[0.0, 1.0, 0.9]] * 10
    inputs += [[0.1, 1.0, 0.9]] * 4
    inputs += [[0.1, 0.8, 0.9]] * 7
    inputs += [[0.0, 0.8, 0.9]] * 1
    inputs += [[0.0, 0.8, 1.0]] * 9
    inputs += [[0.0, 1.0, 1.0]] * 12
    inputs += [[0.0, 0.8, 1.0]] * 7
    inputs += [[0.0, 1.0, 1.0]] * 9
    inputs += [[0.0, 1.0, 0.9]] * 9
    inputs += [[0.0, 0.8, 0.9]] * 12
    inputs += [[0.1, 0.8, 0.9]] * 4
    inputs += [[0.1, 1.0, 0.9]] * 7
    inputs += [[0.1, 0.8, 0.9]] * 5
    inputs += [[0.1, 0.8, 1.0]] * 5
    inputs += [[0.0, 0.8, 1.0]] * 4
    inputs += [[0.0, 1.0, 1.0]] * 2
    inputs += [[0.1, 1.0, 1.0]] * 4
    inputs += [[0.1, 1.0, 0.9]] * 10
    inputs += [[0.1, 0.8, 0.9]] * 7
    inputs += [[0.0, 0.8, 0.9]] * 8
    inputs += [[0.0, 1.0, 0.9]] * 4
    inputs += [[0.1, 1.0, 0.9]] * 2
    inputs += [[0.1, 0.8, 1.0]] * 12
    inputs += [[0.0, 0.8, 1.0]] * 5
    inputs += [[0.0, 1.0, 1.0]] * 17
    inputs += [[0.0, 0.8, 1.0]] * 8
    inputs += [[0.0, 0.8, 0.9]] * 1
    inputs += [[0.0, 1.0, 0.9]] * 11
    inputs += [[0.0, 0.8, 0.9]] * 8
    inputs += [[0.0, 0.8, 1.0]] * 8
    inputs += [[0.0, 1.0, 1.0]] * 2
    inputs += [[0.1, 1.0, 1.0]] * 6
    inputs += [[0.1, 1.0, 0.9]] * 8
    inputs += [[0.1, 0.8, 0.9]] * 2
    inputs += [[0.0, 0.8, 0.9]] * 6
    inputs += [[0.0, 1.0, 0.9]] * 4
    inputs += [[0.1, 1.0, 0.9]] * 9
    inputs += [[0.1, 0.8, 0.9]] * 11
    inputs += [[0.0, 0.8, 0.9]] * 1
    inputs += [[0.0, 0.8, 1.0]] * 6
    inputs += [[0.0, 1.0, 1.0]] * 4
    inputs += [[0.1, 1.0, 1.0]] * 8
    inputs += [[0.1, 0.8, 1.0]] * 8
    inputs += [[0.0, 0.8, 1.0]] * 1
    inputs += [[0.0, 1.0, 1.0]] * 10
    inputs += [[0.0, 1.0, 0.9]] * 6
    inputs += [[0.0, 0.8, 0.9]] * 4
    inputs += [[0.0, 0.8, 1.0]] * 11
    inputs += [[0.0, 1.0, 1.0]] * 11
    inputs += [[0.0, 0.8, 1.0]] * 11
    inputs += [[0.0, 1.0, 1.0]] * 4
    inputs += [[0.1, 1.0, 1.0]] * 2
    inputs += [[0.1, 1.0, 0.9]] * 10
    inputs += [[0.1, 0.8, 0.9]] * 4
    inputs += [[0.0, 0.8, 0.9]] * 12
    inputs += [[0.1, 1.0, 0.9]] * 8
    inputs += [[0.1, 0.8, 0.9]] * 7
    inputs += [[0.1, 0.8, 1.0]] * 4
    inputs += [[0.0, 0.8, 1.0]] * 4
    inputs += [[0.0, 1.0, 1.0]] * 5
    inputs += [[0.0, 1.0, 0.9]] * 1
    inputs += [[0.1, 1.0, 0.9]] * 10
    inputs += [[0.1, 0.8, 0.9]] * 7
    inputs += [[0.0, 0.8, 0.9]] * 3
    inputs += [[0.0, 0.8, 1.0]] * 3
    inputs += [[0.0, 1.0, 1.0]] * 10
    inputs += [[0.0, 0.8, 1.0]] * 1
    inputs += [[0.1, 0.8, 1.0]] * 5
    inputs += [[0.0, 0.8, 1.0]] * 3
    inputs += [[0.0, 1.0, 1.0]] * 4

    end_point = [0.526040931981, -0.123634951349, 0.0, -0.000876912876249, -0.00133461141545, -0.0158380806863, 0.00181992382884, -4.09139323968e-05, -0.0158574619713, 0.00160171346848, 0.0102081256249, 0.00129365806074, 0.00853106322051, -0.00314473323433, -3.99773219592e-05, 3.69127322885e-05, -0.000772394331805, -0.00059703956088, 1.84632464981e-05, -9.6616058971e-06, 0.000529095430933, 0.000322238881216, -0.00824467696427, -0.00101181406963, -0.00080832307097, 0.0162530121479, 0.00209051388806, 2.19754225844e-05, 0.00516795239705, 2.41405925158e-05, -0.000326332310548, 6.82921668821e-07, -2.18352366243e-07, -2.8972428186e-07, -1.09509948347e-07, 0.0, 0.0, 0.000290567977259, 9.29275683838e-05, -0.000485908097837, 0.000571066972626, -4.52280987083e-05, -2.42516341792e-05, -0.000329024513423, -0.000140118430502, 2.68367176182e-05, 8.95515631759e-05, 4.01689537238e-05, 0.000822771248204, 1.81394552903e-05, -0.00582534162827, 0.00326852287048, 1.06217555202e-05, -9.31681983098e-06, -2.46922200121e-05, 1.60732717541e-05, 2.37683340541e-06, 2.23379407102e-06, -1.12228528203e-05, -1.55525146312e-05, 0.0, 4.44046570698e-06, 2.99880696233e-05, -3.43364352266e-06, -1.42051571912e-05, -1.2455541323e-05, -2.16749446722e-07, 1.00230931139e-05, 9.26162034425e-07, 4.60995335678e-07, 0.0, 0.0, 8.99344014158e-06, 0.0, 8.99779651655e-06, 0.0, -3.53370786336e-06, 2.98822939049e-05, -0.00023530527826, 2.04844688187e-07, 1.86730173048e-05, -1.84335580869e-05, -5.62670486269e-06, -9.67093123635e-06, 6.09949365572e-06, -3.71537452499e-06, 4.25797878026e-06, 7.59078260773e-06, -1.27200552665e-06, 0.0, 0.0, -3.9964978944e-06, -3.60364273419e-06, -2.31240373381e-06, -4.31901830784e-06, -3.02030776435e-06, -2.97514481338e-06, -3.8344330855e-06, -5.70670054772e-06, -1.53603776104e-06, 2.94638099873e-06, -7.97932645486e-06, 6.70423091509e-06, 2.35664876333e-05, -5.76162649732e-06, -0.00173938773555, -0.000721309956154, 0.0, 1.37212167084e-05, 1.53840059007e-06, 3.11080073937e-06, 3.2770282196e-06, 2.09058375905e-05, 0.0, -2.29168905861e-07, 1.06963361749e-05, -1.30273516014e-05, 9.42605696772e-07, 2.8108567331e-06, -1.48310453675e-06, 1.13117629796e-06, -5.59169985024e-07, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, -7.62862607241e-06, 0.149351596195, 0.0684452862203, 0.0, -0.00258002151595, 0.00449096919109, -0.034663956254, 0.00205792495361, -9.54568868455e-05, -0.00803463542562, 0.000702187161071, -0.00946404200464, -0.00113255697886, 0.00736432449683, -5.86169398764e-05, -0.000262654761965, 0.0, -0.00302358088864, -0.00284456270461, 0.000344403385457, 0.0, 0.00132770362357, 0.00121984516787, -0.0780828078327, 0.0042644944532, 0.000486815856096, -0.00320247077488, 0.138309610882, -0.000511858385488, 0.186033553796, 0.0, 0.00138309102605, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.000424228052668, 0.000595827661021, -0.00030277019366, 7.78945942887e-05, -0.00083630783274, 0.0, -0.00147480563591, -0.000257765997865, -0.000169065537348, -2.6473051375e-05, -0.000167821944247, -0.0237204665045, 0.000103028098155, -0.0756886940717, -0.111466011465, -0.000170262232914, -0.000331090902804, -5.46205659841e-05, -5.37537299241e-05, 0.000412745030248, 0.000416693213336, -0.000237888575108, -0.000237266557817, 0.0, 0.000376087804834, 0.000135498217103, 0.000335549148002, -5.33076075638e-05, -3.69357836922e-05, 1.08056424942e-07, -6.39422851481e-05, 0.0, 0.0, 0.0, 0.0, 0.000136524728085, 0.0, 0.000135995687876, 0.0, 0.000546829139599, -5.64856897171e-05, -0.0696543683808, 0.00013837904945, 0.000396641217, 6.38524764709e-05, -0.000209309514724, 0.000335811256344, 0.000286094884814, 0.000145030312619, -0.000161324010891, 0.000162113359593, -0.000226352706262, 0.0, 0.0, -0.000140238902534, -0.00015139075648, -0.000198332756226, -0.000220973730631, -0.000192779636288, -0.000190915076634, 0.000443187951668, 6.09620182509e-05, -0.00027596997203, 5.36388593559e-05, -0.00108011754986, -0.000649413493533, 0.0038499753095, 0.00200501446708, -0.0297528327531, 0.028404482812, 0.0, 0.000167658547781, 0.000223182633364, -0.000143127720982, 0.000114903511838, -0.000288021081736, -2.27366799623e-06, -7.35162741691e-05, -0.000584442987807, -0.000340309640968, 0.0, 9.06863044164e-05, 8.88371180368e-05, 0.0, -0.000117699424683, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, -7.97217503544e-05, 13.71]
    start_point = [0.0001, -0.0001, 0.0, 0.0, 0.0, 0.0001, -0.0001, 0.0, 0.0001, 0.0001, 0.0001, 0.0001, 0.0001, -0.0001, -0.0001, 3.35545804326e-05, -0.0001, 0.0001, 0.0001, -8.84802624638e-06, 0.0001, -0.0001, 0.0001, -0.0001, -0.0001, -0.0001, -0.0001, 0.0001, -0.0001, 2.02425016182e-05, -0.0001, 1.03104016891e-06, -2.24475319187e-07, -4.43944103219e-07, -1.25101686389e-07, -1.09356352941e-07, 9.04765095368e-08, 0.0001, -0.0001, -0.0001, 0.0001, 0.0001, -2.90052962295e-05, 0.0001, -0.0001, 0.0001, 0.0001, 0.0001, -0.0001, 0.0001, 0.0001, 0.0001, 0.0001, 0.0001, -0.0001, 0.0001, 0.0001, 0.0001, -0.0001, -0.0001, -5.20160261574e-08, 0.0001, 0.0001, 0.0001, 0.0001, 0.0001, 0.0, 0.0001, 9.06554088653e-06, -1.47093368986e-07, 0.0, 0.0, 0.0001, 0.0, 0.0001, 0.0, -0.0001, -0.0001, -0.0001, -0.0001, -0.0001, 0.0001, 0.0001, -0.0001, -0.0001, -0.0001, 0.0001, 0.0001, -0.0001, -5.39648183631e-08, 0.0, 0.0001, 0.0001, 0.0001, 0.0001, 0.0001, 0.0001, 0.0001, -0.0001, -0.0001, 0.0001, -0.0001, 0.0001, -0.0001, 0.0001, 0.0001, 0.0001, -8.7993068367e-07, 0.0001, 0.0001, 0.0001, 0.0001, -0.0001, 0.0, 0.0001, 0.0001, 0.0001, -1.20631060063e-05, 0.0001, -0.0001, 6.06205876251e-05, 0.0001, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, -0.0001, 0.0, 0.0001, 0.0, 0.0001, -0.0001, 0.0001, 0.0001, 0.0, 0.0001, 0.0, -0.0001, 0.0, 0.0, 0.0001, 0.0001, 0.0, 0.0, 0.0001, 0.0001, 0.0, 0.0, -0.0001, 0.0001, 0.0001, 0.0001, -0.0001, 0.0001, 0.0001, 0.0001, 0.0, -0.0001, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, -0.0001, 0.0001, -0.0001, -0.0001, 0.0, 0.0001, 0.0, -0.0001, 0.0001, 0.0001, 0.0001, 0.0001, -0.0001, 0.0001, -0.0001, -0.0001, 0.0001, 0.0001, -0.0001, -0.0001, -0.0001, -0.0001, 0.0, -0.0001, -0.0001, -0.0001, 0.0001, -0.0001, 0.0, -0.0001, 0.0, 0.0, 0.0, 0.0, -0.0001, 0.0, 0.0001, 0.0, 0.0001, 0.0001, -0.0001, -0.0001, -0.0001, 0.0001, -0.0001, 0.0001, -0.0001, -0.0001, -0.0001, 0.0001, -0.0001, 0.0, 0.0, -0.0001, 0.0001, -0.0001, 0.0001, -0.0001, -0.0001, 0.0001, -0.0001, -0.0001, -0.0001, -0.0001, 0.0001, 0.0001, -0.0001, 0.0001, -0.0001, 0.0, -0.0001, -0.0001, -0.0001, -0.0001, -0.0001, 0.0, -0.0001, 0.0001, -0.0001, 0.0, -0.0001, -0.0001, 0.0, -0.0001, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, -0.0001, 0.0]

    step = 0.005
    max_time = 13.71

    normal_vec = [0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, -4.3036e-09, 4.4272e-05, 2.0608e-14, 1.519e-09, 2.5912e-09, 3.8673e-05, -3.2498e-05, -2.3747e-08, 3.9651e-05, 9.2512e-08, -3.1103e-05, -1.2869e-09, -7.1361e-09, 2.0776e-05, 9.3588e-07, -4.8503e-10, -3.0739e-08, 1.43e-05, -5.664e-07, -1.2933e-09, 2.4537e-08, -5.8449e-06, 0.00071005, 4.4657e-07, 4.2143e-05, -4.5826e-07, -0.00060259, 1.1589e-07, -0.00075831, -1.9029e-08, 1.7601e-05, -9.0683e-08, 3.8217e-10, 3.9627e-08, 3.0249e-09, 1.0809e-08, -4.9123e-09, -9.5442e-08, -5.0547e-06, -1.7756e-07, -3.8255e-05, 2.5123e-05, -3.5648e-08, 8.8326e-07, -9.0962e-08, 7.5304e-06, -8.5332e-05, 1.4902e-07, 1.8586e-05, -1.0995e-05, 0.00089402, 0.00099197, 6.006e-06, 5.7554e-07, 1.2349e-07, -8.0273e-07, -1.6439e-06, -2.8894e-07, 1.2111e-07, 6.2718e-06, 4.6839e-08, -2.5022e-06, -4.7033e-05, -1.1044e-06, 4.7306e-06, 1.5125e-07, -1.3249e-08, 1.7176e-07, -5.504e-08, 1.8961e-08, -2.0255e-09, -1.0478e-10, -1.0975e-07, -9.0396e-09, -1.1095e-07, 3.3951e-10, -3.3058e-05, 3.7233e-07, 0.00016611, -3.7419e-07, -6.6528e-06, -6.1001e-07, -1.6445e-05, -2.3612e-06, -2.0418e-05, -6.9911e-07, 4.159e-07, -2.3037e-05, 3.9205e-07, -4.0622e-09, -3.2241e-13, 3.3394e-07, 1.6949e-07, 1.5104e-06, 1.1329e-05, 3.07e-06, 2.6338e-06, -1.3308e-05, 2.9681e-05, 4.0243e-05, -8.395e-07, 6.0806e-05, -1.7046e-06, -0.00022851, 2.3231e-06, 0.00041647, -0.00066465, -9.2145e-08, -2.6844e-05, -2.3841e-07, -1.7667e-05, -8.427e-07, -0.0001054, 1.0515e-08, 3.1863e-06, 7.3916e-06, 7.0902e-07, -3.959e-09, -1.3865e-05, 2.5121e-06, 5.9999e-08, 6.2216e-06, 1.7293e-08, 1.4806e-09, -5.7334e-09, 2.6634e-11, 1.3241e-08, 3.5952e-10, 1.6399e-08, -8.4377e-11, -1.4055e-08, 1.6175e-10, 1.4732e-10, 1.2063e-10, 5.7812e-05, 0.0]
    normal_val = -0.0005

    sim_states, sim_times = check(a_matrix, b_matrix, c_vector, step, max_time, start_point, inputs, end_point)

    if len(sys.argv) < 2 or sys.argv[1] != "noplot":
        plot(sim_states, sim_times, inputs, normal_vec, normal_val, max_time, step)

if __name__ == "__main__":
    check_instance()
